using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;



[ExecuteInEditMode]
[RequireComponent(typeof(Text))]
public class MultiLangText : MonoBehaviour {

    public string multiLangKey = "";

    [SerializeField]
    Text m_Text;
    public Text langText
    {
        get
        {
            if (m_Text == null)
                m_Text = GetComponent<Text>();
            return m_Text;
        }
    }

    // Use this for initialization
    void OnEnable()
    {
       // langText.text = new MultiLangKey(multiLangKey);
    }



	
	// Update is called once per frame
	void Update () {
		
	}
}
